OptiFine 1.8.9_HD_U_M6_pre2
 - fixed player items (santa hat) showing on invisible players (#5150)
 - fixed MacOS crash when using newer JDK versions (#4824)
 - compatible with Forge #1902
(01.11.2021)

OptiFine 1.8.9_HD_U_M5
 - fixed particles at crosshair on some servers (#3616)
 - fixed sign editing on servers (#3694)
 - fixed random entities for horses (#3474)
 (HD_U_M3)
 - right click selects previous value in shader options (#4706)
 - added more steps for shaders render quality (#4556)
 - fixed server connection with java 9+ (#3773, #3959, #4656, #4667)
 - added Forge license (#4654)
 - fixed leaking resource on startup (#4678) 
 (HD_U_M2)
 - added wrap and filter modes for raw shader textures (#2905)
 - fixed zoom to not reset cinematic camera
 (HD_U_M1)
 - fixed shaders to render world border with program textured_lit (#3979)
 - optimized underwater particles
 - fixed shaders block selection, hitboxes and chunk borders (#3601, #3818)
 - fixed void rendering with shaders (#3673)
 - fixed player shadow with shaders in spectator mode (#4022)
 - fixed CEM animation parameters pos_y, pos_z (#4033)
 - added shortcut key for shader options "F3+O"
 - fixed Smart Animations crash
 - optimized memory allocation (debug screen)
 (HD_U_L6)
 - fixed flickering of min. FPS
 - fixed CIT for bow and fishing rod (#3095)
 - compatible with Forge #1902
(15.12.2020)

OptiFine 1.8.9_HD_U_L5
 - fixed crash when reloading textures (#3125)
 - fixed invisible mobs around the player
 - fixed shaders integer texture formats (#3109)
 - fixed main menu animation speed
 - fixed resource pack not saving (#3106)
 - fixed stairs model with shaders (#3068)
 - fixed CIT block models (#3084)
 - fixed armor with Forge (#3073)
 - fixed emissive textures with shaders (#3082)
 - fixed mouse delay (MC-67665)
 - fixed crash in cape editor
 - fixed CEM for horse and villager
 - fixed CTM corners with innerSeams
 - compatible with Forge #1902
(04.12.2019)

OptiFine 1.8.9_HD_U_L4
 - updated fully to 1.9.0_HD_U_H4 (CEM, CTM, CIT, emissive textures, custom sky, ...)
 - fixed shaders to stop chunk updates on shader pack reload (#3001)
 - fixed Forge patch for IntegratedServer (#2990)
 - fixed Emissive Textures with Astral Sorcery (#1581)
 - added Random Entities check for moon phase, day time and weather (#2931)
 - added Random Entities check for health (#2958)
 - translations
 - fixed Cape Editor screen to allow copy link to clipboard on error
 - added Random Entities check for baby mobs (#2832)
 - fixed Smart Animations for blocks in minecarts (#2731)
 - added shaders program "gbuffers_entities_glowing" (#2328) 
 - translations
 - fixed texture resizing with mipmaps
 - fixed lag spike on autosave
 - fixed autosave interval (#1995)
 - moved time, weather and clear water checks in IntegratedServer
 (HD_U_L3)
 - fixed CEM handling of attached models (#2323)
 - added CEM model adapter aliases (v1132_U_E5_pre3)
 - added shaders instancing for composite programs 
 - added shaders instancing as alternative to geometry shaders
 - fixed shaders #include on first line
 (HD_U_L2)
 - fixed crash in CIT (#2624)
 - added support for raw shader textures (#2631)
 - fixed geometry shaders on Intel/AMD (#2359)
 - fixed leashed horse GUI with shaders (#2545)
 (HD_U_L1)
 - fixed shaders horizon rendering (#2522)
 - fixed sign edit screen in multiplayer (#2422, #2091)
 - added Random Entities check for wolf collar colors (#2447)
 - fixed CTM overlay crash (#2436)
 - fixed cape position when flying up
 - fixed parsing of shaders macro: #if 0
 (HD_U_K8)
 - fixed shader programs above composite9 and deferred9 (#2251)
 - fixed translucent block ordering with shadowmap (#2287)
 - fixed structure void rendering (#847)
 (HD_U_K7)
 - added custom uniform parameters: temperature, rainfall
 - fixed cape elytra when changing dimensions (#2203)
 (HD_U_K6)
 - extended shaders custom textures with normal/specular variants (#2120)
 (HD_U_K5)
 - fixed shaders list sorting
 - fixed CEM for armor stand (#2057)
 - fixed particle tick lag (#2022)
 - fixed CTM method repeat for bottom faces (#1845)
 - fixed shader dimensions on world change (#1844)
 - added custom clear color for shader buffers
 - removed shaders programs deferred/composite_last, added deferred/composite_pre
 - reorganized shaders buffer flipping
 - fixed shaders deferred pass breaking water
 - fixed world memory leak
 - added optifine cape customization (server login + redirect to website)
 - fixed support for optifine cape elytra 
 (HD_U_K4)
 - fixed shaders entity mapping to be optional (1.12)
 - fixed shaders block mapping to be optional (1.12)
 - added stack trace and rate limit for OpenGL errors
 - fixed shaders block entity mapping 
 - fixed particle.water and spawn egg colors
 - added shaders entity mapping
 - added support for elytra matching the optifine cape
 - added shaders item mapping
 - added macro processing for shaders properties
 - optimized sign and item frame rendering
 - fixed properties files parsing to ignore trailing spaces
 - fixed zoom key conflict
 - optimized chunk loading
 - fixed missing chunks when loading the world
 - fixed shader options sliders
 - fixed Better Grass for grass path block (#1684)
 - fixed rendering of players with non-latin usernames (#1637)
 - fixed crash in Statistics
 - fixed Fast Math accuracy
 - added shader uniform "fogDensity"
 - fixed crash with Chunk Pregenerator (#2116)
 (HD_U_K3)
 - fixed world memory leak (#1835)
 - added native memory info in debug screen
 - fixed out of memory crash with shaders
 - fixed parsing of full CTM paths (#1700)
 - fixed Dynamic Lights to correctly reset on enable/disable (#1680)
 (HD_U_K2)
 - optimized memory allocation
 - optimized chunks loading, about 2x faster now
 - extended Show FPS and debug screen to show minimum FPS
 - fixed shield and bow model variants (#1516)
 - fixed distant higher chunks disappearing in multiplayer (#1522)
 - fixed crash with Voxelmap and Smart Animations (#1524)
 - fixed shaders to correctly restore custom gbuffers textures after deferred programs
 - fixed shader uniforms entityId and blockEntityId in shadow program 
 - fixed handling of relative paths for ZIP shader packs
 - optimized rendering of item models with many predicates (#1500)
 - compatible with Forge #1902
(04.11.2019)

OptiFine 1.8.9_HD_U_K1
 - fixed armor slots with player on fire and AA/AF enabled (#1495)
 - fixed fire in first person with Smart Animations (#1487) 
 - fixed experience bar transparency (#1471)
 - fixed emissive texture loading
 - fixed crash in chunk visibility check (#1413)
 - fixed entities on fire with AA/AF/SmartAnimations (#1415)
 - fixed shaders custom textures in gbuffers_water (#1425)
 - increased composite and deferred shader programs to 16 
 - added interpolate and frame skip to Custom Animations
 - fixed sign text render distance to depend on screen resolution and FOV  
 - added system property "log.detail=<true|false>" for extended logging
 - reduced logging when loading sprites (custom loader, sprite dependency) 
 - added CTM tile name <default>
 - added option Smart Animations
 - added dynamic lights for mods
 - fixed disabled shader programs in dimension folder
 - fixed OpenGL error when disabling Fast Render
 - reorganized shader programs
 - reorganized source packages
 (HD_U_J3)
 - fixed sampler binding for programs "gbuffers_beaconbeam", "gbuffers_item" and "gbuffers_armor_glint" 
 - fixed shaders uniform "isEyeInWater" to work in 3rd person view
 (HD_U_J2)
 - fixed horse random textures (#1357) 
 - fixed crash with Galacticraft (#1366)
 - fixed shaders projection matrix when underwater (#1344, #827)
 - added option Show OpenGL Errors
 - added support for geometry shaders ".gsh" (#1355)
 - extended CIT to check for alternative shield models (#1169)
 - added shaders uniform blendFunc (#884)
 - fixed End loading bug (#1326)
 - removed width and height limits for CTM method "repeat"
 - fixed shaders uniform "depthtex1" in program "gbuffers_water"
 (HD_U_J1)
 - extended new version message to include link to optifine.net 
 - custom shader textures by location (resource pack, dynamic textures) (#1304)
 - fixed compatibility with PortalGun mod
 - fixed water fog density/color for Respiration > 3 (#1289)
 - fixed chunk visibility culling for custom view entity (#1286) 
 - added shader profile tooltips
 - fixed a very cool chunk loading bug (http://y2u.be/QUI7iRR9FD8)  
 - added shaders version check
 - added shaders property "frustum.culling"
 - fixed shaders camera position in shadow program
 - added shaders option "separateAo"
 - fixed water old lighting with shaders
 - fixed shader uniform atlasSize in program gbuffers_hand
 - added full macro processing for #if and #elif expressions
 - fixed multi-pass CTM with missing intermediate textures (Halcyon Days)
 - fixed loading of GitHub zipped shader packs with world folders 
 - optimized shaders shadow culling
 - fixed shaders to work properly at high coordinate values (#1240)
 - fixed flickering water bottom texture with AA/AF enabled
 - extended shader configuration parsing to be affected by preprocessor conditional directives
 - added option Render Regions
 - optimized VBO rendering
 - optimized visibility cullung
 - optimized loading of visible chunks (F3+L)
 (HD_U_I9)
 - extended shaders to define custom block render layers (#1210)
 - added CTM properties "randomLoops" and "innerSeams"
 - added CTM methods "overlay_fixed", "overlay_random", "overlay_repeat" and "overlay_ctm" (#1145)
 - added shaders configuration for beacon beam depth (#796)
 - added shaders configuration for rain/snow depth (#532)
 - added vector custom uniforms (#1155)
 - added matrix access for custom uniforms (#1155)
 - enable or disable programs depending on shader options
 - added support for shaders in GitHub ZIP files
 - added configurable buffer flip for composite programs (#1103)
 - added variable resolution for composite programs (#1103)
 - fixed option Portal Particles (#1146)
 - added button Download Shaders, opens "http://shaders.wikia.com/wiki/Shader_Packs" in a browser
 - added commands "/reloadShaders" and "/reloadChunks"
 - fixed Forge cloud renderer breaking cloud height and shader clouds (#1141)
 - fixed normal maps for banner, horse and player models (1140)
 (HD_U_I8)
 - fixed shaders program fallback (sildurs enhanced redone)
 - added alpha test and blend mode per shaders program
 - updated shaders function "smooth" to use automatic ID
 - optimized shader uniforms (cached location and last value per program)
 - replaced Random Mobs with Random Entities, extended to support all entities and tile entities
 - enabled shader uniforms "entityId" and "blockEntityId" for the shadow pass (#1075)
 - extended CTM to check for named tile entities
 - fixed crash when disabling shaders (Charset #165)
 - limit shaders options tooltips to 8 lines
 - added custom block render layers
 - added custom loading screens per dimension
 - fixed parrot on shoulder with random mobs and shaders
 - compatible with Forge #1902
(28.06.2018)

OptiFine 1.8.9_HD_U_I7
 - extended shaders custom uniforms to access vector components
 - fixed crash with Botania and CTM (#1037)
 - fixed shader configuration parsing (vsh, comments)
 - fixed crash with Chisel when AA/AF is enabled
 - added Custom Sky options: biomes, heights and transition (#892)
 - fixed Custom Sky resetting at time 6000 when rotation speed is not an integer (#804)
 - removed render distance check for vanilla stars when custom sky layers are available
 - added shaders options tooltips (#980)
 - extended shaders configuration to re-enable program disabled in parent profile
 - added custom shader uniforms (#924)
 - fixed race conditions in chunk loading
 - added CTM property "linked" for double plants and doors
 - reset shadowmap configuration on shader pack reload  
 - fixed crash when username contains ASCII 0 (#999) 
 - fixed missing void when VBO enabled and Y > 64
 - relaxed shaders configuration syntax for DRAWBUFFERS, SHADOWRES, etc.
 - fixed shaders program gbuffers_spidereyes resetting the entity fog color 
 - added shaders programs deferred_last and composite_last to reset the flipped ping-pong buffers 
 - added rain and thunder lightmaps (#963)
 - added Random Mobs check by name (#620)
 - added CTM property "heights" (#931)
 - fixed Custom GUIs check by name (#955)
 - added shaders block mapping for Forge mods
 - added shaders program "gbuffers_hand_water" for handheld translucent objects
 - fixed shaders option to skip framebuffer clear
 - added deferred shader programs
 - fixed shaders normal/specular animations
 - optimized chunk loading, speedup 2x
 - increased maximum Render Distance to 64 chunks
 - optimized memory allocation
 (HD_U_I6)
 - fixed string width calculation for HD fonts
 - fixed custom texture animations not working in main menu (#920)
 - updated shaders, added custom noise texture
 - added Custom GUIs
 - optimized shader option parsing
 - added shader macros for user options (FXAA, Normal Map, Specular Map, Render Quality, etc.)
 (HD_U_I5)
 - updated shader options, added configurable screen columns
 - added shader options value formatting (prefix and suffix)
 - added support for local player models
 - enabled shaders program "gbuffers_beaconbeam"
 - fixed Smart Leaves not culling when decayable state is different
 - fixed memory leak in cape download
 - fixed shaders to load files only from the shader pack
 - added font alpha blending
 - fixed shader options crash on right click
 - added custom underlava fog colors
 - fixed Lagometer with Forge
 - fixed Random Mobs to use entity UUID in multiplayer
 - added Better Grass option "grass.multilayer"
 - compatible with Forge #1902
(28.12.2017)

OptiFine 1.8.9_HD_U_I3
 - added custom panoramas
 - added Custom Sky option "weather=clear|rain|thunder"
 - fixed cloud color transitions
 - fixed Custom Sky not visible for Render Distance below 8 chunks
 - fixed detection of maximum texture size for modern GPUs 
 - added Better Grass for snowy podzol and snowy mycelium
 - added Better Grass configuration (per block, textures)
 - fixed Natural Textures for snow layer sides
 - fixed custom animations to check for invalid coordinates
 - fixed conflict with Emojiful
 - added shader option sliders
 - added shader texture formats R16F, RG16F, RGB16F, RGBA16F and RGB9_E5
 - fixed CTM, Custom Colors and Shaders block matching to better handle missing blocks
 - updated installer to use launchwrapper 1.12
 - extended CIT NBT rules, values starting with "!" perform a negative match (#606)
 - extended shaders uniform isEyeInWater, added value 2 when the camera is in lava  
 - fixed tall grass rendering in the End when mipmaps are enabled
 - fixed item pickup animation using wrong shaders program
 - fixed entity shadows using wrong shaders programs (spiders, players, enchanted items)
 - added shaders compatible rendering for end portals
 - compatible with Forge #1902
(26.06.2017)

OptiFine 1.8.9_HD_U_H8
 - added shaders shadow optimization "shadowDistanceRenderMul" (#489) 
 - fixed shaders loading "block.properties" (#569) 
 - added shaders uniforms "nightVision", "blindness" and "screenBrightness"
 - added shaders property "vignette"
 - fixed enchanted items in hotbar when running with Forge and vignette is disabled (#487) 
 - added shader macro MC_VERSION
 - compatible with Forge #1902
(04.05.2017)

OptiFine 1.8.9_HD_U_H7
 - updated shaders: added gbuffers uniforms gaux1 to gaux4, only used as custom textures
 - fixed Forge RenderHandEvent to work with shaders 
 - updated shaders: fixed depth of translucent handheld objects
 - updated shaders: added support for custom textures
 - updated CustomColors to reload banner textures
 - updated shader options: added non-numerical values "#define SHADOW_MODE HARD // [HARD SOFT REAL]"
 - updated shader options: added user friendly values from resources
 - updated shader options: right click = previous value, Shift + click = reset
 - added shader macros for OpenGL extensions
 - added shader macros for OS, OpenGL version, GLSL version, GPU vendor and GPU renderer 
 - added shader uniform "worldDay"
 - fixed shader uniform "worldTime" overflow for very old worlds
 - fixed shaders to save options on ESC 
 - added support for "palette.format" from "color.properties"
 - added fix for MC-98707
 - fixed NPE in shaders when renderViewEntity is NULL
 - fixed transparent hand with shaders when the world border is visible
 - added support for animated normal and specular textures
 - added shaders uniforms "frameCounter" and "frameTime" 
 - added shaders option to skip framebuffer texture clear
 - fixed shaders bug: centerDepthSmooth not working when gaux4 is active
 - fixed shaders using upPosition from previous frame
 - added block ID mapping for shaders
 - updated shaders to use "gbuffers_armor_glint" for enchanted handheld and dropped items
 - fixed custom potion colors
 - fixed end sky custom color
 - extended the shaders "#include" parser to add "#line" directives with file and line numbers
 - added xporb animation duration (xporb.time in color.properties, value in ms)
 - added custom item durability colors: assets/minecraft/mcpatcher/colormap/durability.png
 - fixed custom sign text color
 - fixed detection of maximum texture size for modern GPUs 
 - added shader options for back-face rendering per layer
 - enabled shader variable "ambientOcclusionLevel"
 - fixed Fast Render default to OFF
 - added shader properties "sun=true|false" and "moon=true|false"
 - added check for 3D Anaglyph + Shaders
 - added support for shader formats R3_G3_B2, RGB5_A1, RGB10_A2, R11F_G11F_B10F
 - fixed fullscreen mode to show all available resolutions 
 - compatible with Forge #1902
 (20.02.2017)

OptiFine 1.8.9_HD_U_H6
 - fixed dynamic lights: blaze rod, blaze powder, glowstone dust, prismarine crystals, magma cream, spectator mode, tnt, creeper
 - fixed unicode font rendering with HD resource packs
 - added shaders option dynamicHandLight - can be used to disable the dynamic hand light if the shader implements its own hand light
 - optimized chunk updates
 - added Dynamic Lights (off, fast, fancy)
 - fixed barrier particles performance
 - fixed world border to use program gbuffers_textured_lit
 - fixed clouds to use program gbuffers_clouds
 - replaced shader uniforms entityHurt and entityFlash with entityColor (rgba)
 - fixed enchanted armor to use program gbuffers_armor_glint
 - added shader uniforms entityId and tileEntityId
 - updated shaders documentation
 - added shader suppot for more texture formats (signed normalized, integer, unsigned integer)
 - fixed shader uniform "entityHurt" to not affect other entities
 - added folder selection in installer
 - fixed "#include" for vertex shaders
 - added option "Details -> Dynamic FOV" - enables or disables the FOV change when flying or sprinting
 - skip classloader injection when loaded in a Forge server
 - added "offsetBold" in font properties (assets/minecraft/textures/font/ascii.properties), default is 1.0 for 16x and 0.5 for 32x and above
 - updated CTM for rotated pillars (wood, quartz) to allow properties to select rotated variants
 - fixed rotated logs with Fancy CTM
 - added build number
 - fixed loading of world resource packs with Forge
 - fixed connected textures matching rules
 - fixed Natural Textures for snow layer sides
 - optimized memory allocation
 - fixed memory usage with AF and AA
 - updated Forge compatibility
 - compatible with Forge #1902
 (03.06.2016)

OptiFine 1.8.9_HD_U_H5
 - removed all Mojang content from final JAR  
 - added support for class patches
 - compatible with Forge #1764
 (15.03.2016)

OptiFine 1.8.9_HD_U_H4
 - fixed unicode font shadow
 - updated translations (de_DE, sv_SE, zh_TW) 
 - removed shaders hand depth 4x and 8x values - broken and not needed
 - disabled ForgeHooksClient.renderFirstPersonHand() when shaders are active, not compatible
 - fixed chunk updates with shaders or with slow GPU
 - added support for preview versions
 - fixed glass panes and stained glass panes orientation
 - fixed Trees Smart when running with Forge
 - fixed entity updates - MoCreature insects
 - compatible with Forge #1744
 (04.03.2016)
 
OptiFine 1.8.9_HD_U_H3
 - fixed Furniture mod crash with Shaders
 - added SE and CN translations
 - removed shaders option Cloud Shadows, not working and disabled in 1.8
 - fixed dark fog/clouds when around water or in shadows 
 - fixed custom bow textures (bow_standby)
 - added option Trees Smart - renders fancy leaves with face culling
 - added face culling for leaf models, significant FPS increase for fast leaves
 - fix for Thaumcraft models when changing Shaders in game
 - added suport for shader uniform shadowcolor2 and shadowcolor3  
 - compatible with Forge #1744
 (22.01.2016)

OptiFine 1.8.9_HD_U_H2
 - added option "-Dshaders.debug.save=true", saves active shaders in "shaderpacks/debug"
 - fixed Forge custom armor rendering
 - fixed shader initialization in nether/end
 - fixed Forge blocks layer reordering (BetterFoliage grass and BuildCraft pipes)
 (14.01.2016)

OptiFine 1.8.9_HD_U_H1
 - added shader profiles
 - added resources - /assets/minecraft/optifine/lang/en_US.lang
 - added shader resources
 - fixed shader shadow flickering (like it was in G6), performance may suffer a bit
 - fixed Random Mobs in multiplayer worlds
 - added support for shader variables
 - added configurable shaders options screen
 - fixed scaling of small textures when mipmaps are off
 - fixed parsing of block colormaps with block variants
 - fixed leash rendering with shaders to use program basic
 - fixed logo "mojang.png" to be loaded from resource packs
 - fixed parsing of invalid block states - for custom colors and connected textures
 - fixed custom redstone colors depending on other custom colors
 - right click on a shader option resets it to default
 - added parsing of predefined shader const options (bool, float and int)
 - fixed entity shadows with Forge (multi-pass entity rendering)
 - fixed double plants to use same custom color for upper and lower part
 - fixed hand held translucent items with shaders 
 - added shaders per world dimension - "/shaders/world-1" for nether
 - the dimension shaders are scanned for shader options
 - removed chat message when loading shaders
 - updated shader profiles to allow program deactivation
 - added support for "#include" in shaders
 - fixed Forge custom models not visible in GUI
 - fixed black screen with shaders when starting in the nether / end
 - added hotkey F3+R to reload current shaders (ninja update)
 - compatible with Forge #1688
 (08.01.2016)
 
OptiFine 1.8.9_HD_U_G9
 - fixed grid colormaps
 - fixed compass and clock to work when animations are off
 - fixed animated textures with AF
 - fixed useGlint
 - added shader options
 - the options are parsed from the shader files, searching for "#define", "#ifdef" and "#ifndef"
 - commented defines are with default state OFF
 - ambiguous options (both ON and OFF state found) are disabled and can not be changed
 - option names are global for all shader files in a shader pack
 - one option can be present in several shader files and it will be switched simultaneously in all of them
 - only ON/OFF options are supported for now, variables may be added later with range syntax
 - comments on the same line after the "#define" are shown as tooltips
 - added support for "shaders.properties": http://pastebin.com/g2E4NqPM
 - extended "mcpatcher/color.properties", added support for "clouds=off"
 - the shader option comments are split by sentences in the tooltip
 - fixed http pipelining to redirect to relative url 
 (23.12.2015)
 
OptiFine 1.8.9_HD_U_G7
 - updated to Minecraft 1.8.9 
 (09.12.2015)

OptiFine 1.8.8_HD_U_G7
 - optimized shader shadows generation
 - fixed custom items crash
 - compatible with Forge #1591
 (04.12.2015)
 
OptiFine 1.8.8_HD_U_G6
 - added support for Custom Item Textures: custom items, custom enchantments and custom armor
 - updated Connected Textures to parse block variants
 - added custom colors: spawn eggs, dog collars, sheep, potion, map, text, boss, xporb 
 - added support for grid palettes 
 - added support for ligtmaps for custom mod dimensions
 - fixed shader shadow flickering and incorrect shadow rendering (minimal FPS drop is possible for shader packs with shadows)
 - added blend method overlay for custom sky
 - fixed overlapping transitions for custom sky
 - many other bugfixes
 - compatible with Forge #1591
 (01.12.2015)
 
OptiFine 1.8.8_HD_U_F5
 - fixed compass and clock animations when AA/AF is enabled
 (28.10.2015)

OptiFine 1.8.8_HD_U_F4
 - fixed rendering of lit particles (exploding TNT)
 - optimized remote resource loading with http pipelining
 - fixed shaders to use correct block light levels (option Classic Lighting)
 - updated shader options
 (13.10.2015)

OptiFine 1.8.8_HD_U_F3
 - fixed rendering of custom unicode fonts
 - unicode character widths are reloaded with the resource pack
 - fixed profiler overflow with shaders active
 - reset video settings also resets shaders and FXAA
 - fixed connected textures to check for server resource pack
 (02.09.2015)

OptiFine 1.8.8_HD_U_F2
 - integrated support for shaders, based on the ShadersMod by Karyonix
 - the shader rendering features are fully disabled when no shader is active, no FPS penalty 
 - the shaders are not compatible with classic Antialiasing, Anisotropic Filtering and Fast Render 
 - added post-processing antialasing shader, based on modified FXAA
 - disabled post-processing shaders (Secret Settings) when classic antialiasing is enabled, not compatible
 - fixed inventory rendering glitch when wearing enchanted armor and shaders are active
 - fixed handheld item rendering artifacts when classic antialiasing is enabled
 - fixed GUI rendering of enchanted items when classic antialiasing is enabled 
 - fixed GUI rendering of enchanted items with Fast graphics and post-processing shaders
 - added FXAA 4x
 (29.08.2015)

OptiFine 1.8.8_HD_U_E2
 - fixed crash when Antialising is enabled
 (18.08.2015)
 
OptiFine 1.8.8_HD_U_E1
 - updated to Minecraft 1.8.8
 (01.08.2015)

OptiFine 1.8.7_HD_U_D8
 - fixed version check
 (24.07.2015)
 
OptiFine 1.8.7_HD_U_D6
 - fixed red screen tinting
 - fixed invisible mobs
 (30.06.2015)
 
OptiFine 1.8.7_HD_U_D5
 - updated to Minecraft 1.8.7
 (24.06.2015)